package com.ruoyi.system.service_shate.impl;

import com.ruoyi.system.domain_shate.SoilDesertification;
import com.ruoyi.system.domain_shate.SoilMoisture;
import com.ruoyi.system.domain_shate.SoilSalinization;
import com.ruoyi.system.mapper_shate.SoilFactorMapper;
import com.ruoyi.system.service_shate.ISoilFactorService;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/8 11:25
 */
@Service
public class SoilFactorServiceIpml implements ISoilFactorService {
    @Resource
    private SoilFactorMapper mapper;

    @Override
    public List<SoilDesertification> sqlYear() {
        return mapper.sqlYear();
    }

    @Override
    public List<SoilMoisture> sqlYear1() {
        return mapper.sqlYear1();
    }

    @Override
    public List<SoilSalinization> sqlYear2() {
        return mapper.sqlYear2();
    }

    @Override
    public List<SoilDesertification> sqlDesert(String zone, String year) {
        return mapper.sqlDesert(zone,year);
    }

    @Override
    public List<SoilMoisture> sqlMoisture(String zone, String year) {
        return mapper.sqlMoisture(zone,year);
    }

    @Override
    public List<SoilSalinization> sqlSalin(String zone, String year) {
        return mapper.sqlSalin(zone,year);
    }

    @Override
    public Integer InsertSalin(SoilSalinization soil) {
        return mapper.InsertSalin(soil);
    }

    @Override
    public Integer InsertDesert(SoilDesertification desertification) {
        return mapper.InsertDesert(desertification);
    }

    @Override
    public Integer InsertMoisture(SoilMoisture moisture) {
        return mapper.InsertMoisture(moisture);
    }
}
